# GLM_GTX_fast_exponential

GLM_GTX_fast_exponential
GTX Extensions (Experimental)

## Functions

template<typename T >
T | fastExp (const T &x)
template<typename T >
T | fastExp2 (const T &x)
template<typename T >
T | fastLn (const T &x)
template<typename T >
T | fastLog (const T &x)
template<typename T >
T | fastLog2 (const T &x)
template<typename genType >
genType | fastPow (genType const &x, genType const &y)
template<typename genTypeT , typename genTypeU >
genTypeT | fastPow (genTypeT const &x, genTypeU const &y)

## Detailed Description

Fast but less accurate implementations of exponential based functions.

<glm/gtx/fast_exponential.hpp> need to be included to use these functionalities.

## Function Documentation

T glm::fastExp | ( | const T & | x | ) |

Faster than the common exp function but less accurate.

See Also
  GLM_GTX_fast_exponential

T glm::fastExp2 | ( | const T & | x | ) |

Faster than the common exp2 function but less accurate.

See Also
  GLM_GTX_fast_exponential

T glm::fastLn | ( | const T & | x | ) |

Faster than the common ln function but less accurate.

See Also
  GLM_GTX_fast_exponential

T glm::fastLog | ( | const T & | x | ) |

Faster than the common log function but less accurate.

See Also
  GLM_GTX_fast_exponential

T glm::fastLog2 | ( | const T & | x | ) |

Faster than the common log2 function but less accurate.

See Also
  GLM_GTX_fast_exponential

genType glm::fastPow | ( | genType const & | x,
|  | genType const & | y
| ) |  |

Faster than the common pow function but less accurate.

See Also
  GLM_GTX_fast_exponential

genTypeT glm::fastPow | ( | genTypeT const & | x,
|  | genTypeU const & | y
| ) |  |

Faster than the common pow function but less accurate.

See Also
  GLM_GTX_fast_exponential